Retrieve LookupTableRevision - m3ter Documentation
Retrieve LookupTableRevision
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
200
Returns the LookupTableRevision
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"fields": [
{
"name": "lookuptablerevisionfieldkey"
}
],
"keys": [
"<string>"
],
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"itemCount": 123,
"lookupTableId": "<string>"
}
Error Responses
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Path Parameters
- orgId (string, required): UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
- id (string, required): The UUID of the Lookup Table Revision to retrieve.
- lookupTableId (string, required): The UUID of the Lookup Table the Revision belongs to.